Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.log
Class LogServiceImpl

    java.lang.Object
      org.jasig.portal.container.services.log.LogServiceImpl

All Implemented Interfaces:
  org.apache.pluto.services.ContainerService, org.apache.pluto.services.log.LogService, PortletContainerService

    public class LogServiceImpl

extends java.lang.Object
implements PortletContainerService, org.apache.pluto.services.log.LogService

Implementation of Apache Pluto LogService.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.util.Properties` | `properties`
`private javax.servlet.ServletConfig` | `servletConfig`

Constructor Summary
`LogServiceImpl()`

Method Summary
`void` | `destroy()` Destroys the services.
`org.apache.pluto.services.log.Logger` | `getLogger(java.lang.Class klass)`
`org.apache.pluto.services.log.Logger` | `getLogger(java.lang.String component)`
`void` | `init(javax.servlet.ServletConfig servletConfig, java.util.Properties properties)` Initializes the service using the servlet configuration and the service properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletConfig

    private javax.servlet.ServletConfig servletConfig

### properties

    private java.util.Properties properties

Constructor Detail

### LogServiceImpl

    public LogServiceImpl()

Method Detail

### init

    public void init(javax.servlet.ServletConfig servletConfig,
                     java.util.Properties properties)
              throws java.lang.Exception

  Description copied from interface: `PortletContainerService`
  Initializes the service using the servlet configuration and the service properties.

  Specified by:
    `init` in interface `PortletContainerService`
  Parameters:
    `servletConfig` - the servlet configuration
    `properties` - the service properties
  Throws:
    `java.lang.Exception` - if the initialization fails

### destroy

    public void destroy()
                 throws java.lang.Exception

  Description copied from interface: `PortletContainerService`
  Destroys the services. This method allows the service to cleanup any resources.

  Specified by:
    `destroy` in interface `PortletContainerService`
  Throws:
    `java.lang.Exception` - if the destruction fails

### getLogger

    public org.apache.pluto.services.log.Logger getLogger(java.lang.Class klass)

  Specified by:
    `getLogger` in interface `org.apache.pluto.services.log.LogService`

### getLogger

    public org.apache.pluto.services.log.Logger getLogger(java.lang.String component)

  Specified by:
    `getLogger` in interface `org.apache.pluto.services.log.LogService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD